Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 417281 - Git Overlays Repo Request - user/Armageddon
Summary: Git Overlays Repo Request - user/Armageddon
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Infrastructure
Classification: Unclassified
Component: Gentoo Overlays (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Overlays Project
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-23 16:05 UTC by Elijah "Armageddon" El Lazkani (amd64 AT)
Modified: 2012-05-30 22:12 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
SSH Public Key (id_rsa.pub,405 bytes, text/plain)
2012-05-29 00:22 UTC, Elijah "Armageddon" El Lazkani (amd64 AT)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Elijah "Armageddon" El Lazkani (amd64 AT) 2012-05-23 16:05:27 UTC
Category: user
Name: user/Armageddon
Description: User Overlay
Owner: Elijah El Lazkani (Armageddon)
Committers: Armageddon
Comment 1 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2012-05-28 12:46:19 UTC
Hello, we also need your public ssh key
Comment 2 Elijah "Armageddon" El Lazkani (amd64 AT) 2012-05-29 00:22:42 UTC
Created attachment 313451 [details]
SSH Public Key

SSH Public Key
Comment 3 Sebastian Pipping gentoo-dev 2012-05-30 21:34:38 UTC
Your user overlay "Armageddon" is almost ready.
Please read (all of) this guide to get it to work.

If you have any question we'll be here to help.


In this Guide
=============
- Terms of Service
- The Initial Push
- After That
  - Online Browsing
  - Getting into Layman
  - Keeping your overlay healthy


Terms of Service
================
The infra team has worked out the terms of service for us. To make us host your user overlay you need to accept these terms, which I don't expect to be a problem. By pushing to the remote repository you are accepting these terms:

  -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- --
  Use of this service is  limited to overlays containing ebuilds
  and  supporting  files  (e.g.  init.d  scripts,  configuration
  files, patches,  but not distfiles)  and must follow  the same
  guidelines as apply to the gentoo-x86 tree of Gentoo.

  Any or all uses of this  service and all files on this service
  may  be  intercepted,  monitored, recorded,  copied,  audited,
  inspected, and disclosed to authorized site personnel, as well
  as authorized  officials of federal law  enforcement agencies,
  both domestic  and foreign.  By  using this service,  the user
  consents to such interception, monitoring, recording, copying,
  auditing,  inspection, and  disclosure  at  the discretion  of
  authorized site  personnel.  Use  of this  service constitutes
  consent to  security monitoring and testing.   All activity is
  logged with  your host name  and IP address.   Unauthorized or
  improper use of this service  may result in civil and criminal
  penalties.   By continuing  to use  this service  you indicate
  your awareness of and consent to these terms and conditions of
  use.   -- Gentoo Linux Infrastructure Admins

                      CEASE USE IMMEDIATELY,
   if you do not agree to the conditions stated in this warning.
                       *******************
  -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- --


The Initial Push
================

First, before anybody can clone from your overlay an initial push is needed.

0) If you start with an empty repository be sure to setup your identity:

     # git init
     # git config user.name 'first last'
     # git config user.email foo@example.org
     [..]

1) Once you have ebuilds in there please set profiles/repo_name to
   'Armageddon' in order to make it a valid overlay.

     # mkdir profiles
     # echo "Armageddon" > profiles/repo_name
     # git add profiles/repo_name
     # git commit

2) Now you are ready to push.  Proposed way of doing is this:

     # git remote add overlays-gentoo-org \
           git+ssh://git@git.overlays.gentoo.org/user/Armageddon.git
     # git push overlays-gentoo-org master


After That
==========

Online Browsing
---------------
After the inital push you can browse your overlay online at:
http://git.overlays.gentoo.org/gitweb/?p=user/Armageddon.git;a=summary


Getting into Layman
-------------------
We have scripts to get hosted overlay into Layman easily: no need to write XML on your end.  Just let us know that you did complete the procedure from "The Initial Push" to get added.

Once it's in the Layman registry its content will be indexed at http://gpo.zugaina.org/ and two dedicated views of your overlay will appear at http://gentoo-overlays.zugaina.org/Armageddon/ and http://gpo.zugaina.org/Overlays/Armageddon/, too.


Keeping your overlay healthy
----------------------------
A few rules of thumb help to keep your overlay most useful to you and others:

 - If you package newer versions of software that is packaged in Gentoo
   already, try to get the version in Gentoo updated, too.
   (If there is no bump request on https://bugs.gentoo.org/ please file
   one and share patches you may have produced.)

 - If you apply custom patches make sure that you never use the very
   same revision that is used in Gentoo, e.g. if you use the ebuild
   of app-arch/bzip2-1.0.6-r3 do not call it app-arch/bzip2-1.0.6-r3
   in your overlay to avoid confusion.

A tool called "overlint" can support you with that process:

  # sudo emerge -av app-portage/overlint

For a quick introduction to overlint see http://blog.hartwork.org/?p=1667 .


Sebastian Pipping
for the Gentoo Overlays Team
Comment 4 Sebastian Pipping gentoo-dev 2012-05-30 21:37:55 UTC
PS: added to layman
Comment 5 Elijah "Armageddon" El Lazkani (amd64 AT) 2012-05-30 22:12:10 UTC
Thank you all